[TOC]

## Einführung 

Ultimate Screen Access (USA) verbindet den Open-Source-Bildschirmleser NVDA mit den leistungsstarken Vergrößerungsfunktionen von Windows 10. So entsteht ein sehr leistungsfähiges Paket, das in verschiedenen Situationen eine gute Lösung bieten kann. 

## Systemanforderungen

Um die USA erfolgreich nutzen zu können, gelten die folgenden Systemanforderungen:

* Windows 10 Version 1709 (Fall Creators Update) oder neuer) (32-Bit und 64-Bit)
* Prozessor: 2 GHz i5 Doppelkernprozessor oder ähnlich
* Intel-Grafikkarte (NVIDIA wird nicht empfohlen)
* 4 GB Ram. 8 GB empfohlen
* 200 MB freier Festplattenspeicher, ohne Sprachsynthesizer
* Installierte Kopie von NVDA 2022.1 oder höher

## Installation

### NVDA
Hinweis: Um Ultimate Screen Access erfolgreich nutzen zu können, muss eine Version von NVDA installiert sein.
In einer tragbaren Version von NVDA (z. B. von einem USB-Stick) funktioniert die Maus nicht richtig, wenn der Bildschirm vergrößert wird.

Wenn Sie noch nicht über NVDA verfügen, können Sie es von [nvaccess.org](http://www.nvaccess.org/) herunterladen. Auf der Download-Seite finden Sie den Link zur neuesten Version von NVDA. Wenn Sie die heruntergeladene Datei ausführen, wird eine temporäre Kopie von NVDA gestartet. Dann werden Sie gefragt, ob Sie NVDA installieren, eine portable Kopie erstellen oder die temporäre Kopie weiter verwenden möchten. Wählen Sie Installieren und folgen Sie den Anweisungen auf dem Bildschirm.

### Ultimativer Bildschirmzugang

USA wird als NVDA-Zusatzmodul geliefert. Die Installation erfolgt daher über den Punkt "Add-ons verwalten" unter Extras im NVDA-Menü. 

Im Dialogfeld "Add-ons verwalten" finden Sie eine Liste aller installierten Add-ons, die sich derzeit in Ihrem Benutzerkonfigurationsordner befinden. Für jedes Add-on werden der Paketname, der Status, die Version und der Autor angezeigt. Um ein zuvor erworbenes USA Add-on zu installieren, klicken Sie in diesem Fenster auf die Schaltfläche "Installieren". Suchen Sie dann nach der USA-Installationsdatei (eine Datei mit der Erweiterung "*.nvda-addon"). Sobald Sie auf die Schaltfläche "Öffnen" klicken, wird der Installationsvorgang gestartet. 

Wenn die Installation beginnt, werden Sie von NVDA gefragt, ob Sie Ultimate Screen Access wirklich installieren möchten. Da die Funktionalität von Add-ons innerhalb von NVDA nicht eingeschränkt ist, was theoretisch bedeutet, dass der Zugriff auf Ihre persönlichen Daten sowie auf das gesamte System möglich ist, ist es wichtig, nur Add-ons zu installieren, denen Sie vertrauen. Mit anderen Worten: Installieren Sie nur eine Version von Ultimate Screen Access, die von Babbage stammt. Nach der Installation von USA muss NVDA neu gestartet werden, um das Add-on zu aktivieren. Ohne Neustart zeigt die USA den Status "Installieren" an. 

## Verwendung
Für die Verwendung von NVDA verweisen wir auf das NVDA-Handbuch. Diese finden Sie im NVDA-Menü, das Sie durch Drücken der Tastenkombination NVDA+N oder durch Klicken auf das NVDA-Symbol in der Windows-Systemleiste aufrufen können. Wählen Sie dann "Benutzerhandbuch" aus dem Menü "Hilfe".

### USA ermöglichen
Wenn das NVDA Add-on USA installiert ist, können Sie USA wie folgt aktivieren.

1. Öffnen Sie das NVDA-Menü.
2. Wählen Sie "Optionen" und dann "Einstellungen...".
3. Wählen Sie in der Liste der Registerkarten "Visuell". Wenn diese Option nicht verfügbar ist, haben Sie nicht die richtige Version von NVDA.
4. Wählen Sie auf der Registerkarte Visual unter Ultimate Screen access die Option Enable.
5. Wählen Sie OK, um dieses Fenster zu schließen. Es ist auch möglich, die Einstellungen im Fenster Einstellungen anzupassen.

### USA-Einstellungen anpassen
Wenn USA aktiviert ist, können die folgenden Einstellungen auf der Registerkarte "Visuell" der NVDA_-Einstellungen geändert werden.

#### Vergrößerungsfaktor
Der zu verwendende Vergrößerungsfaktor. Dies ist eine Zahl zwischen 1 und 80.

#### Aktivieren Sie weiche Ränder um Bilder, um die Vergrößerungsqualität zu verbessern.
Diese Einstellung verbessert in den meisten Fällen die Qualität des Textes.
Wenn diese Option ausgeschaltet ist, wird der Inhalt des Bildschirms buchstäblich vergrößert.
Wenn diese Funktion aktiviert ist, versucht die Software, die Kanten von Bildern und Buchstaben anzupassen, um ein natürlicheres Ergebnis zu erzielen.

#### Folgen Sie dem Systemfokus
Wenn diese Funktion aktiviert ist, sorgen die USA dafür, dass der Fokus des Systems so weit wie möglich auf dem Bildschirm liegt.
Der Systemfokus wird z. B. geändert, wenn Sie mit der Tastatur durch ein Dialogfeld navigieren oder eine Auswahl in einer Liste treffen.

#### Fokus Beschränkung
Mit den Einstellungen in dieser Auswahlliste können Sie festlegen, wo der Systemfokus auf dem Bildschirm positioniert werden soll.

[

* Wenn Sie "zentriert" wählen, versuchen die USA immer, den Fokus so weit wie möglich in der Mitte des Bildschirms anzuzeigen, es sei denn, das Element, das den Fokus hat, befindet sich am Rand des Bildschirms.
* Wenn Sie einen Prozentsatz innerhalb der Bildschirmränder wählen, z. B. 25%, versuchen die USA immer, den Systemfokus innerhalb von 25% der Bildschirmränder anzuzeigen.
* Wenn Sie die Option ohne Einschränkungen wählen, versuchen die USA zumindest, den Fokus auf dem Bildschirm zu platzieren, aber es gibt keine Einschränkungen, wo sich der Fokus letztendlich befindet.
* Wenn Sie die Option "Relativ" wählen, versuchen die USA, den Fokus in der vergrößerten Realität an derselben Stelle wie in der unvergrößerten Realität anzuzeigen. Wenn eine Schaltfläche oder ein Eingabefeld auf einem nicht vergrößerten Bildschirm 25 % vom linken und oberen Rand entfernt wäre, versuchen die USA, das Element in der vergrößerten Realität an derselben Stelle zu platzieren.

#### Änderungen des Vordergrundfensters verfolgen
Wenn Sie zwischen verschiedenen aktiven Fenstern wechseln, z. B. mit der Tastenkombination alt+tab, wechselt das Fenster in den Vordergrund. 
Wenn diese Option aktiviert ist, versuchen die USA sicherzustellen, dass die relevanten Informationen aus dem Vordergrundfenster sofort sichtbar sind.

#### Folgen Sie dem Navigator-Objekt
Wenn diese Option aktiviert ist, stellen die USA sicher, dass das Objekt, das Sie mit der NVDA-Objektnavigation ausgewählt haben, auf dem Bildschirm sichtbar ist. Weitere Informationen über das Navigator-Objekt finden Sie im NVDA-Handbuch.

#### Folgen Sie dem Systemcursor
Der Systemcursor ist der normalerweise blinkende Cursor, der in Textfeldern sichtbar ist, zum Beispiel in Word oder Notepad. Wenn diese Option aktiviert ist, folgen die USA der Position des Cursors und sorgen dafür, dass der Teil des Textes, an dem der Cursor blinkt, immer sichtbar ist.
Diese Option gilt auch für den Browse-Modus von NVDA.

#### System-Cursor-Beschränkung
Diese Einstellung bestimmt die Begrenzung des Systemcursors innerhalb der Bildschirmränder. Bei dieser Option sind die Auswahlmöglichkeiten dieselben wie bei der Option Fokusbegrenzung.

#### Lesezeiger folgen
Wenn diese Option aktiviert ist, sorgen die USA dafür, dass der Text an der Stelle, an der sich der Lesecursor von NVDA befindet, auf dem Bildschirm sichtbar ist. Weitere Informationen über den Lesecursor finden Sie im NVDA-Handbuch.
Für die Position des Cursors im NVDA-Browsing-Modus wird die Einstellung für den Systemcursor verwendet.

Für die Textverfolgung beim fortlaufenden Lesen (NVDA+ Pfeil nach unten oder NVDA+A) kann in den USA eingestellt werden, dass auch die vorgelesenen Wörter verfolgt werden. Außerdem kann in den Einstellungen gewählt werden, ob ein Rechteck über das gesprochene Wort projiziert werden soll und ob der Cursor mitbewegt werden soll. Die Farbe und Dicke des Rechtecks kann ebenfalls im Einstellungsmenü angepasst werden.

#### Dem Mauszeiger folgen
Wenn diese Option aktiviert ist, folgen die USA der Position der Maus und stellen sicher, dass die Maus immer sichtbar ist.
Wenn Sie diese Option deaktivieren, verschwindet der Mauszeiger aus der Ansicht, wenn er über den Rand der vergrößerten Realität auf dem Bildschirm hinausgeht.

#### Mausbegrenzung
Diese Einstellung bestimmt die Begrenzung des Mauszeigers innerhalb der Bildschirmränder. Die Optionen für diese Option sind dieselben wie für die Option Fokusbegrenzer.

#### Farbgestaltung
Mit dieser Option können Sie verschiedene vordefinierte Farbschemata einstellen.
Die Option "Benutzerdefiniertes Farbschema verwalten..." betrifft das "benutzerdefinierte" Farbschema. Hier können Sie Ihr eigenes Farbschema erstellen. In den Einstellungen können Sie auch eine Unterauswahl aller verfügbaren Farbschemata treffen, so dass Sie nur die Farbschemata durchschalten, die Sie wirklich verwenden.

Es ist auch möglich, ein Farbschema für eine bestimmte Anwendung zu wählen. Mit NVDA+Steuerung+P wird das aktuelle Farbschema mit der aktuellen Anwendung verknüpft. Jedes Mal, wenn diese Anwendung in den Vordergrund kommt, wird das Farbschema auf diese Anwendung umgestellt.

#### Objektlesemodus
Der Objektlesemodus ist ein Modus, in dem NVDA und die USA einfacher verwendet werden können. In diesem Modus ist die Stimme standardmäßig ausgeschaltet und wird nur zum Vorlesen verwendet. 
Mit USA können Sie auch laut vorlesen, ob sich das Objekt unter der Maus befindet. Mit NVDA+Steuerung+R kann dies aktiviert werden. USA springt dann automatisch und es wird ein Rechteck um das gesprochene Wort gezeichnet, sofern dies eingestellt ist.

### USA-Lizenz
Um die USA zu nutzen, benötigen Sie einen gültigen Lizenzcode. Jeder Lizenzschlüssel kann für die Aktivierung der USA bis zu dreimal verwendet werden.

Wenn Sie einen gültigen Lizenzcode haben, können Sie diesen über die Option "USA-Lizenz verwalten..." auf der Registerkarte "Vision" der NVDA-Einstellungen eingeben.
In diesem Fenster genügt es, den Lizenzcode einzugeben und OK zu wählen, woraufhin die Lizenz aktiviert wird. Sie können die Lizenz auf die gleiche Weise deaktivieren, wenn Sie z. B. die USA vom Computer entfernen möchten.

## Hotkeys
In den USA wurden spezielle Tastenkombinationen für die Anpassung der Vergrößerungsfunktion und für die Farbschemata zugewiesen.

Die folgenden Einstellungen können über das NVDA-Menü angepasst werden. Wählen Sie "Optionen" und dann "Eingabeaktionen". Die USA-Verknüpfungen sind dann unter der Kategorie "Ultimate Screen Access" zu finden.
Weitere Informationen zur Funktionsweise des Dialogfelds Eingabe-Aktionen finden Sie im NVDA-Handbuch.

Abkürzung | Funktion
--------------------|--------------------------------------------------------------------------------
NVDA+alt+0 | Schaltet die Lupe ein oder aus
NVDA+alt+= (oder Strg+PageUp) | Vergrößerungsfaktor erhöhen
NVDA+alt+- (oder Strg+PageDown) | Verkleinern des Vergrößerungsfaktors
NVDA+Alt+Pfeil links | Vergrößerungsbereich nach links verschieben
NVDA+Alt+Pfeil rechts | den Vergrößerungsbereich nach rechts verschieben
NVDA+alt+Pfeil nach oben | Vergrößerungsbereich nach oben scrollen
NVDA+Alt+Pfeil nach unten | Vergrößerungsbereich nach unten scrollen
NVDA+alt+backspace | schaltet zwischen den verschiedenen Farbschemata um
NVDA+alt+s | Aktiviert oder deaktiviert weiche Ränder um Bilder und Text.
nicht verbunden | Aktiviert oder deaktiviert die Wortverfolgung. 
Die folgende Tabelle zeigt die verschiedenen Farbschemata.
NVDA+Strg+p | Aktuelles Farbschema als Standard für die Vordergrundanwendung festlegen.
NVDA+Steuerung+r | Alles von der Maus lesen

## Einschränkungen und bekannte Probleme
Ultimate Screen Access ist ein Produkt, das sich noch in der Entwicklung befindet. Es ist daher möglich, dass einige gewünschte Funktionen (noch) nicht im Produkt vorhanden sind. Bitte beachten Sie bei der Verwendung der USA die folgenden bekannten Einschränkungen:

* Im Internet Explorer ist der NVDA-Browsing-Modus eingeschränkt. Vor allem bei langen Absätzen fällt auf, dass die Vergrößerung im Bildlaufmodus nicht vollständig der Position des Cursors folgt.
* Die Unterstützung für die Verwendung mehrerer Bildschirme ist sehr begrenzt. Wenn Sie mehrere Bildschirme verwenden, empfehlen wir Ihnen, den Bildschirm ganz links als Hauptbildschirm einzustellen. Darüber hinaus ist es erforderlich, einige Begrenzungsoptionen in den USA-Einstellungen gegenüber den Standardwerten anzupassen
* Wenn NVDA die Möglichkeit bietet, eine portable Version zu verwenden, sollten Sie bei der Verwendung der USA die Einschränkung berücksichtigen, dass das Klicken mit der Maus möglicherweise nicht genau ist. Wenn die tragbare Verwendung der USA unbedingt erforderlich ist, wird empfohlen, die Mausbegrenzung auf relativ zu setzen
* Es sind Probleme bekannt, bei denen die Verwendung von weichen Rändern um Bilder zu einer Verlangsamung des Systems führt, insbesondere bei der Verwendung einer Grafikkarte der Marke NVIDIA.




