
## Introducción 

Ultimate Screen Access (USA) conecta el lector de pantalla NVDA de código abierto con las poderosas habilidades de aumento presentes en Windows 10. Esto crea un poderoso paquete que proporciona buenas soluciones en diferentes situaciones. 

## Requerimientos del sistema

Para ejecutar USA satisfactoriamente, el sistema debe cumplir con las siguientes características:

* Windows 10 versión 1709 (Fall Creators Update) o más reciente) (32-bit y 64-bit)
* Procesador: 2 GHz i5 dual core o similar
* Tarjeta gráfica Intel (no se recomienda NVIDIA)
* 4 GB Ram. 8 GB recomendado
* 200MB libres en el disco duro, aparte del sintetizador de voz
* Copia instalada de NVDA 2022.1 o posterior

## Instalación

### NVDA
Nota: para usar Ultimate Screen Access satisfactoriamente, es necesario tener instalada la última versión de NVDA.
En la versión portable de NVDA (por ejemplo, en un USB), el ratón no funcionará correctamente cuando la pantalla esté aumentada.

Si todavía no tiene NVDA, puedes descargarlo desde [nvaccess.org](http://www.nvaccess.org/). En la página de descarga encontrarás el link a la última versión de NVDA. Ejecutando el archivo descargado, se accederá a una copia temporal de NVDA. Después, se le preguntará si quiere descargar NVDA, cree una copia portable o siga usando la copia temporal. Pulse en instalar y siga las instrucciones en la pantalla.

### Ultimate Screen Access

USA es una extensión de NVDA. La instalación se lleva a cabo desde la opción "Administrar extensiones" en el menú NVDA. 

En el cuadro de diálogo "Administrar extensiones", encontrará una lista de todos los complementos instalados que se encuentran actualmente en su carpeta de configuración de usuario. Para cada complemento se muestra el nombre del paquete, el estado, la versión y el autor. Para instalar una extensión de USA previamente adquirida pulse el botón "Instalar" en esta ventana. A continuación, busque el archivo de instalación de USA (un archivo con la extensión "*.nvda-addon"). En cuanto haga clic en el botón "Abrir", comenzará el procedimiento de instalación. 


Cuando comience la instalación, NVDA le preguntará si realmente quiere instalar Ultimate Screen Access. Dado que la funcionalidad de los complementos dentro de NVDA no está restringida, lo que significa que se tiene acceso a sus datos personales así como a todo el sistema, es importante que solo instale complementos en los que confíe. En otras palabras, solo instale la versión de Ultimate Screen Access que provenga de Babbage. Una vez instalado USA, es necesario reiniciar NVDA para activar el complemento. Sin un reinicio, USA mostrará un estado de "Instalación". 

## Uso
Para el uso de NVDA se debe leer el manual de NVDA. Este se encuentra en el menú de NVDA, que puede abrirse pulsando NVDA+N o haciendo clic en el icono NVDA_en la bandeja del sistema de Windows. A continuación, seleccione ""Manual del usuario"" en el menú "Ayuda".

### Activación USA
Si la extensión USA NVDA está instalada, puede activar USA de la siguiente forma.

1. Abra el menú NVDA.
2. Abra "Ultimate Screen Access"
3. Seleccione "Activar USA"

### Ajuste de la configuración USA
Cuando USA está habilitado, los siguientes ajustes pueden cambiarse dentro del elemento de menú "ajustes simples USA" del menú "Ultimate Screen Access" o dentro de la pestaña "Visual" de las opciones de NVDA.

#### Nivel de paso
El nivel de paso del aumento a usar cuando aumentamos o reducimos la pantalla. Un nivel de paso de 0,1 significa que la pantalla aumenta un 10% cada vez.

#### Active los bordes suavizados en las imágenes para mejorar la calidad del aumento
Esta opción mejorará la calidad del texto en la mayoría de los casos.
Cuando esta opción no esté activada, el contenido de la pantalla estará aumentado.
Cuando esté activado, el software intentará ajustar los bordes de las imágenes y letras para obtener un resultado más natural.

#### Siga el foco del sistema
Cuando se activa, USA se asegurará de que el enfoque del sistema esté siempre en la pantalla en la medida de lo posible.
Por ejemplo, el foco del sistema se cambia cuando se utiliza el teclado para navegar por un cuadro de diálogo o hacer una selección de una lista.

#### Limitación del foco
Los ajustes de esta lista de selección le permiten establecer dónde se sitúa el foco del sistema en la pantalla.

* Cuando elija "centrado", USA siempre intentará mostrar el foco en el centro de la pantalla en la medida de lo posible, a menos que el elemento que tiene el foco esté en el borde de la pantalla.
* Cuando elija un porcentaje dentro de los bordes de la pantalla, como el 25%, USA siempre intentará mostrar el foco del sistema dentro del 25% de los bordes de la pantalla.
* Cuando se elige sin restricciones, USA intentará al menos situar el foco en la pantalla, pero no hay restricciones en cuanto a la ubicación final del foco.
* Cuando eliges relativo, USA intentará mostrar el foco en la realidad ampliada en la misma posición en la que se encuentra en la realidad no ampliada. Si un botón o un campo de entrada estuviera a un 25% del borde izquierdo y superior en una pantalla no ampliada, USA intenta colocar el elemento en la misma posición en la realidad ampliada.

#### Siga los cambios de la ventana del primer plano
Cuando se cambia entre diferentes ventanas activas, por ejemplo mediante la combinación de teclado alt+tab, se produce un cambio de ventana en primer plano. 
Cuando esta opción está activada, USA intenta garantizar que la información relevante de la ventana en primer plano sea visible inmediatamente.

#### Siga el objeto navegador
Cuando esta opción está activada, USA se asegurará de que el objeto seleccionado con el objeto de navegación NVDA sea visible en la pantalla. Para obtener más información sobre el objeto de navegación, consulte el manual de NVDA.

#### Siga el cursor del sistema
El cursor del sistema es el que suele parpadear en los campos de texto, por ejemplo en Word o en el Bloc de notas. Cuando esta opción está activada, USA seguirá la posición del cursor y se asegurará de que la parte del texto donde el cursor parpadea sea siempre visible.
Esta opción también se aplica al modo de navegación de NVDA.

#### Limitación del cursor del sistema
Este ajuste determina el límite del cursor del sistema dentro de los bordes de la pantalla. Con esta opción, las opciones son las mismas que las de la opción Limitación del enfoque.

#### Siga el cursor de lectura
Cuando esta opción esté activada, USA se asegurará de que el texto donde se encuentra el cursor de lectura de NVDA sea visible en la pantalla. Para más información sobre el cursor de lectura, consulte el manual de NVDA.
Para la posición del cursor del modo de navegación de NVDA, se utiliza la configuración del cursor del sistema.

Para el seguimiento del texto durante la lectura continua (NVDA+ flecha abajo o NVDA+A), se puede configurar en USA que las palabras leídas en voz alta también sean seguidas. Además, en los ajustes también se puede elegir si se debe proyectar un rectángulo sobre la palabra hablada y si el cursor debe moverse con él. El color y el grosor del rectángulo también se pueden ajustar en el menú de configuración.

#### Seguir el puntero del ratón
Cuando esta opción está activada, USA seguirá la posición del ratón y se asegurará de que esté siempre visible.
Si se desactiva esta opción, el puntero del ratón desaparece de la vista cuando cae fuera del borde de la realidad ampliada en la pantalla.

#### Limitación del ratón
Este ajuste determina el límite del puntero del ratón dentro de los bordes de la pantalla. Las opciones de esta opción son las mismas que las de la opción Limitador de enfoque.

#### Esquema de color
Esta opción permite establecer diferentes esquemas de color predefinidos.
La opción "Gestionar esquema de color personalizado..." afecta al esquema de color "personalizado". Aquí puede crear su propia combinación de colores. En la configuración también puedes hacer una subselección de todos los esquemas de color disponibles, de esta manera solo cambias a través de los esquemas de color que realmente utilizas.

También es posible seleccionar una combinación de colores para una determinada aplicación. Con NVDA+Control+P el esquema de color actual se vincula a la aplicación actual. Cada vez que esta aplicación pase a primer plano, la combinación de colores cambiará a esta aplicación.

#### Modo de lectura de objetos
El modo de lectura de objetos es un modo en el que NVDA y USA pueden utilizarse de forma más sencilla. Con este modo, la voz está desactivada por defecto y solo se utiliza para leer en voz alta. 
Con USA también se puede leer en voz alta si el objeto está debajo del ratón. Con NVDA+clic izquierdo se puede activar esto. Entonces USA salta automáticamente y se dibuja un rectángulo alrededor de la palabra hablada, si está configurado.

### Licencia USA
Para utilizar USA, necesita un código de licencia válido. Cada código de licencia puede utilizarse para activar USA hasta tres veces.

Si tiene un código de licencia válido, puede introducirlo eligiendo la opción "licencia USA" dentro del menú "Ultimate Screen Access".
En esta ventana basta con introducir el código de licencia y elegir OK, tras lo cual se activará la licencia. La licencia también se puede desactivar de la misma manera, por ejemplo, si se desea eliminar USA del ordenador.

#### Activación offline
Con esto el usuario puede enviar su ID de instancia y su clave de licencia a support@babbage.com. Recibirán un hash de activación único y con ello la licencia USA no tiene que ser comprobada online en esa máquina.

#### (BETA) Activación Automática
USA ofrece una activación automática. Esto es para los entornos "no persistentes" en los que USA se activa cada vez que se inicia. También intenta desactivarse automáticamente.

## Acceso directo
Dentro de USA, se han asignado atajos específicos para ajustar la funcionalidad de la ampliación y para los esquemas de color.

Los ajustes que se indican a continuación pueden ajustarse a través del menú de NVDA. Elija "Opciones" y luego "Acciones de entrada". Los accesos directos de USA se encuentran entonces en la categoría "Acceso a la pantalla definitiva".
Para más información sobre el funcionamiento del cuadro de diálogo Acciones de entrada, consulte el manual de NVDA.

Atajo | Función
--------------------|--------------------------------------------------------------------------------
NVDA+alt+0 | Activa o desactiva la lupa
Control + 9 | Activa o desactiva la lupa
NVDA+alt+= | aumenta el factor de ampliación
NVDA+alt+- | disminuye el factor de ampliación
control+páginaArriba | aumenta el factor de ampliación
control+páginaAbajo | disminuir el factor de ampliación
control+más (+) | aumentar el factor de ampliación
control+menos (-) | disminuir el factor de ampliación
NVDA+rueda de desplazamiento | aumentar/disminuir el factor de ampliación
NVDA+alt+flecha izquierda | Desplazar el área de ampliación hacia la izquierda
NVDA+alt+flecha derecha | desplazar el área de ampliación hacia la derecha
NVDA+alt+flecha arriba | Desplazar el área de ampliación hacia arriba
NVDA+alt+flecha abajo | Desplazar el área de ampliación hacia abajo
NVDA+alt+retroceso | cambia entre los diferentes esquemas de color
control+0 | Cambia entre los diferentes esquemas de color
NVDA+alt+s | Activa o desactiva los bordes suaves alrededor de las imágenes y el texto.
control+1 | detiene el habla y desactiva el modo de navegación si está activado.
NVDA+clic derecho del ratón | inicia la lectura continua del objeto debajo del ratón
no conectado | Activa o desactiva el seguimiento de palabras.
NVDA+control+p | Establecer el esquema de color actual como predeterminado para la aplicación en primer plano.
NVDA+control+r | Leer todo desde el ratón


## Limitaciones y problemas
Ultimate Screen Access está en continuo desarrollo. Por lo tanto, es posible que alguna funcionalidad deseada no esté (todavía) disponible en el producto. Cuando utilice USA, tenga en cuenta las siguientes limitaciones conocidas:

* Dentro de Internet Explorer, el modo de navegación NVDA es limitado. Especialmente en párrafos largos, se notará que la ampliación no sigue completamente la posición del cursor en el modo de desplazamiento.
* El soporte para el uso de múltiples pantallas es muy limitado. Cuando se utilizan varias pantallas, se aconseja establecer la pantalla más a la izquierda como pantalla principal. Además, es necesario ajustar algunas opciones de límites en la configuración de EE.UU. a partir de sus valores por defecto
* Cuando NVDA ofrece la opción de utilizar una versión portátil, al utilizar USA se debe tener en cuenta la limitación que supone hacer clic con el ratón. Cuando el uso portátil de USA es estrictamente necesario, el consejo es establecer la limitación del ratón en relativo
* Hay problemas reconocidos en los que el uso de bordes suaves alrededor de las imágenes hace que el sistema se ralentice, especialmente cuando se utiliza una tarjeta de vídeo de la marca NVIDIA.




