[TOC]

## introduction 

Ultimate Screen Access (USA) relie le lecteur d'écran open source NVDA aux puissantes capacités d'agrandissement présentes dans Windows 10. Cela crée un paquet très puissant qui peut fournir une bonne solution dans diverses situations. 

## Configuration requise

Pour utiliser USA avec succès, la configuration suivante est requise :

* Windows 10 version 1709 (Fall Creators Update) ou plus récente) (32 bits et 64 bits).
* Processeur : processeur i5 double cœur 2 GHz ou similaire
* Carte graphique Intel (NVIDIA n'est pas recommandé)
* 4 GB Ram. 8 Go recommandés
* 200 Mo d'espace libre sur le disque dur, à l'exclusion du synthétiseur vocal
* Copie installée de NVDA 2022.1 ou d'une version ultérieure.

## Installation

### NVDA
Remarque : pour pouvoir utiliser Ultimate Screen Access, il est nécessaire d'avoir une version installée de NVDA.
Dans une version portable de NVDA (par exemple, à partir d'une clé USB), la souris ne fonctionne pas correctement lorsque l'écran est agrandi.

Si vous n'avez pas encore NVDA, vous pouvez le télécharger sur [nvaccess.org](http://www.nvaccess.org/). Sur la page de téléchargement, vous trouverez le lien vers la dernière version de NVDA. En exécutant le fichier téléchargé, une copie temporaire de NVDA est lancée. Il vous sera ensuite demandé si vous souhaitez installer NVDA, créer une copie portable ou continuer à utiliser la copie temporaire. Choisissez installer et suivez les instructions à l'écran.

### Accès ultime à l'écran

USA est un module complémentaire de NVDA. L'installation s'effectue donc via l'élément "Manage Add-ons" sous Tools dans le menu NVDA. 

Dans la boîte de dialogue "Gérer les modules complémentaires", vous trouverez une liste de tous les modules complémentaires installés qui se trouvent actuellement dans votre dossier de configuration utilisateur. Pour chaque module complémentaire, le nom du paquet, son statut, sa version et son auteur sont affichés. Pour installer un add-on USA acquis précédemment, cliquez sur le bouton "Installer" dans cette fenêtre. Recherchez ensuite le fichier d'installation USA (un fichier avec l'extension "*.nvda-addon"). Dès que vous aurez cliqué sur le bouton "Ouvrir", la procédure d'installation commencera. 

Lorsque l'installation commence, NVDA vous demande si vous voulez vraiment installer Ultimate Screen Access. Étant donné que la fonctionnalité des modules complémentaires dans NVDA n'est pas limitée, ce qui signifie en théorie que l'on peut accéder à vos données personnelles ainsi qu'à l'ensemble du système, il est important de n'installer que des modules complémentaires auxquels vous faites confiance. En d'autres termes, n'installez qu'une version de Ultimate Screen Access qui provient de Babbage. Une fois USA installé, NVDA doit être redémarré pour activer l'add-on. Sans redémarrage, USA affichera un statut "Install". 

## Usage
Pour l'utilisation de NVDA, nous nous référons au manuel de NVDA. Vous le trouverez dans le menu NVDA, qui peut être ouvert en appuyant sur NVDA+N ou en cliquant sur l'icône NVDA dans la barre d'état système de Windows. Sélectionnez ensuite ""Manuel de l'utilisateur"" dans le menu "Aide".

### USA permettre
Si le module complémentaire NVDA USA est installé, vous pouvez activer USA comme suit.

1. Ouvrez le menu NVDA.
2. Choisissez "Options", puis "Paramètres...".
3. Dans la liste des onglets, choisissez "Visuel". Si cette option n'est pas disponible, vous ne disposez pas de la bonne version de NVDA.
4. Dans l'onglet Visuel, sous Accès à l'écran ultime, sélectionnez Activer.
5. Choisissez OK pour fermer cette fenêtre. Il est également possible d'ajuster les paramètres dans la fenêtre Paramètres.

### Ajuster les paramètres des USA
Lorsque USA est activé, les paramètres suivants peuvent être modifiés dans l'onglet "Visuel" des paramètres NVDA_.

#### Facteur de grossissement
Le facteur de grossissement à utiliser. Il s'agit d'un nombre compris entre 1 et 80.

#### Activez les bords souples autour des images pour améliorer la qualité de l'agrandissement.
Ce paramètre permet dans la plupart des cas d'améliorer la qualité du texte.
Lorsque cette option est désactivée, le contenu de l'écran est littéralement agrandi.
Lorsqu'il est activé, le logiciel tente d'ajuster les bords des images et des lettres pour présenter un résultat plus naturel.

#### Suivre l'orientation du système
Lorsqu'elle est activée, la fonction USA permet de s'assurer que le système se concentre autant que possible sur l'écran.
Par exemple, la focalisation du système est modifiée lorsque vous utilisez le clavier pour naviguer dans une boîte de dialogue ou faire une sélection dans une liste.

#### Limitation de la mise au point
Les paramètres de cette liste de sélection vous permettent de définir l'endroit où le focus du système est positionné sur l'écran.

* Lorsque vous choisissez "centré", USA essaiera toujours d'afficher le foyer au centre de l'écran autant que possible, à moins que l'élément qui a le foyer ne soit au bord de l'écran.
* Lorsque vous choisissez un pourcentage à l'intérieur des bords de l'écran, tel que 25%, USA essaiera toujours d'afficher la mise au point du système à moins de 25% des bords de l'écran.
* Lorsque vous choisissez l'option sans contrainte, USA essaiera au moins de placer le focus sur l'écran, mais il n'y a aucune restriction quant à l'emplacement final du focus.
* Lorsque vous choisissez relatif, USA essaiera d'afficher le foyer dans la réalité agrandie à la même position que dans la réalité non agrandie. Si un bouton ou un champ de saisie se trouve à 25 % des bords gauche et supérieur sur un écran non agrandi, USA tente de placer l'élément à la même position dans la réalité agrandie.

#### Suivre les changements de fenêtre de premier plan
Lorsque vous passez d'une fenêtre active à une autre, par exemple en utilisant la combinaison clavier alt+tab, il y a un changement de fenêtre de premier plan. 
Lorsque cette option est activée, USA essaie de faire en sorte que les informations pertinentes de la fenêtre de premier plan soient immédiatement visibles.

#### Suivre l'objet navigateur
Lorsque cette option est activée, USA s'assure que l'objet que vous avez sélectionné avec la navigation d'objet NVDA est visible à l'écran. Pour plus d'informations sur l'objet navigateur, voir le manuel NVDA.

#### Suivre le curseur du système
Le curseur système est le curseur généralement clignotant visible dans les champs de texte, par exemple dans Word ou Notepad. Lorsque cette option est activée, USA suit la position du curseur et veille à ce que la partie du texte où le curseur clignote soit toujours visible.
Cette option s'applique également au mode de navigation de NVDA.

#### Limitation du curseur du système
Ce paramètre détermine la limite du curseur du système à l'intérieur des bords de l'écran. Avec cette option, les choix sont les mêmes que pour l'option Limitation de la mise au point.

#### Suivre le curseur de lecture
Lorsque cette option est activée, l'USA s'assure que le texte où se trouve le curseur de lecture de NVDA est visible à l'écran. Pour plus d'informations sur le curseur de lecture, veuillez vous reporter au manuel NVDA.
Pour la position du curseur du mode de navigation NVDA, le paramètre du curseur du système est utilisé.

Pour le suivi du texte pendant la lecture continue (NVDA+ flèche vers le bas ou NVDA+A), il est possible de configurer les USA pour que les mots lus à haute voix soient également suivis. En outre, dans les paramètres, il est possible de choisir si un rectangle doit être projeté sur le mot prononcé et si le signe d'insertion doit être déplacé. La couleur et l'épaisseur du rectangle peuvent également être ajustées dans le menu des paramètres.

#### Suivre le pointeur de la souris
Lorsque cette option est activée, USA suivra la position de la souris et s'assurera que la souris est toujours visible.
En désactivant cette option, le pointeur de la souris disparaît de la vue lorsqu'il se trouve en dehors du bord de la réalité agrandie à l'écran.

#### Limitation de la souris
Ce paramètre détermine la limite du pointeur de la souris à l'intérieur des bords de l'écran. Les options de cette option sont les mêmes que celles de l'option Focus Limiter.

#### Schéma de couleurs
Cette option vous permet de définir différents schémas de couleurs prédéfinis.
L'option "Gérer le schéma de couleurs personnalisé..." affecte le schéma de couleurs "personnalisé". Vous pouvez y créer votre propre palette de couleurs. Dans les paramètres, vous pouvez également faire une sous-sélection de tous les schémas de couleurs disponibles, ce qui vous permet de ne passer que par les schémas de couleurs que vous utilisez réellement.

Il est également possible de sélectionner un schéma de couleurs pour une certaine application. Avec NVDA+Control+P, le schéma de couleurs actuel est lié à l'application en cours. Chaque fois que cette application passe au premier plan, la palette de couleurs est modifiée en fonction de cette application.

#### Mode de lecture des objets
Le mode lecteur d'objets est un mode où NVDA et USA peuvent être utilisés plus simplement. Avec ce mode, la voix est désactivée par défaut et n'est utilisée que pour la lecture à haute voix. 
Avec USA, vous pouvez également lire à haute voix si l'objet se trouve sous la souris. Avec NVDA+Control+R, cela peut être activé. USA saute alors automatiquement et un rectangle est dessiné autour du mot prononcé, si celui-ci est défini.



### Licence USA
Pour utiliser USA, vous avez besoin d'un code de licence valide. Chaque clé de licence peut être utilisée pour activer USA jusqu'à trois fois.

Si vous disposez d'un code de licence valide, vous pouvez le saisir en choisissant l'option "Gérer la licence USA..." dans l'onglet "Vision" des paramètres NVDA.
Dans cette fenêtre, il suffit de saisir le code de licence et de choisir OK, après quoi la licence sera activée. Vous pouvez désactiver la licence de la même manière, par exemple si vous souhaitez supprimer USA de l'ordinateur.

## Touches de raccourci
Au sein d'USA, des raccourcis spécifiques ont été attribués pour ajuster la fonctionnalité d'agrandissement et pour les schémas de couleurs.

Les paramètres ci-dessous peuvent être ajustés via le menu NVDA. Choisissez "Options" et ensuite "Actions de saisie". Les raccourcis USA se trouvent ensuite dans la catégorie "Ultimate Screen Access".
Pour plus d'informations sur le fonctionnement de la boîte de dialogue Actions de saisie, veuillez vous reporter au manuel NVDA.

Raccourci | Fonction
--------------------|--------------------------------------------------------------------------------
NVDA+alt+0 | Active ou désactive la loupe.
NVDA+alt+= (ou control+pageUp) | augmenter le facteur d'agrandissement
NVDA+alt+- (ou control+pageDown) | diminuer le facteur d'agrandissement
NVDA+alt+flèche gauche | Faire défiler la zone d'agrandissement vers la gauche
NVDA+alt+flèche droite | faire défiler la zone de zoom vers la droite
NVDA+alt+flèche vers le haut | Faire défiler la zone d'agrandissement vers le haut
NVDA+alt+flèche vers le bas | Faire défiler la zone d'agrandissement vers le bas
NVDA+alt+backspace | permet de passer d'un schéma de couleurs à un autre.
NVDA+alt+s | Active ou désactive les bords doux autour des images et du texte.
non connecté | Active ou désactive le suivi des mots. 
Le tableau suivant présente les différentes combinaisons de couleurs.
NVDA+control+p | Définir le schéma de couleurs actuel comme valeur par défaut pour l'application de premier plan.
NVDA+control+r | Tout lire à partir de la souris

## Limitations et problèmes connus
Ultimate Screen Access est un produit encore en cours de développement. Il est donc possible que certaines fonctionnalités souhaitées ne soient pas (encore) disponibles dans le produit. Lorsque vous utilisez les États-Unis, veuillez tenir compte des limitations connues suivantes :

* Dans Internet Explorer, le mode de navigation NVDA est limité. En particulier dans les longs paragraphes, on remarquera que l'agrandissement ne suit pas entièrement la position du curseur en mode défilement.
* La prise en charge de l'utilisation d'écrans multiples est très limitée. Lorsque vous utilisez plusieurs écrans, nous vous conseillons de définir l'écran le plus à gauche comme écran principal. En outre, il est nécessaire d'ajuster certaines options de délimitation dans les paramètres des États-Unis à partir de leurs valeurs par défaut
* Lorsque NVDA offre la possibilité d'utiliser une version portable, vous devez tenir compte, lors de l'utilisation des États-Unis, du fait que le clic avec la souris peut ne pas être précis. Lorsque l'utilisation portable des États-Unis est strictement nécessaire, il est conseillé de fixer la limitation de la souris à relative.
* Il existe des problèmes connus où l'utilisation de bords mous autour des images entraîne un ralentissement du système, en particulier lorsqu'il s'agit de l'utilisation d'une carte vidéo de la marque NVIDIA.




