# Ultimate Screen Access

## introductie

Ultimate Screen Access (USA) verbindt de open source NVDA schermlezer met de krachtige vergrotingsmogelijkheden die aanwezig zijn in Windows 10. Hierdoor ontstaat een zeer krachtig pakket dat in diverse situaties een goede oplossing kan bieden.

## Systeemvereisten

Om USA met succes te kunnen gebruiken, zijn de volgende systeemvereisten van toepassing:

* Windows 10 versie 1709 (Fall Creators Update) of nieuwer (32-bit en 64-bit)
* Processor: 2 GHz i5 dual core processor of vergelijkbaar
* 4 GB Ram. 8 GB aanbevolen
* 200MB vrije ruimte op de harde schijf, exclusief spraaksynthesizer
* GeÏnstalleerde kopie van NVDA 2024.1 of nieuwer

## Installatie

### NVDA

N.B. Om Ultimate Screen Access met succes te kunnen gebruiken, is het nodig om gebruik te maken van een geïnstalleerde versie van NVDA.
In een draagbare versie van NVDA (bijvoorbeeld vanaf USB-stick) zal de muis niet juist functioneren wanneer het scherm vergroot is.

Als je nog niet beschikt over NVDA, kun je het downloaden van [nvaccess.org](http://www.nvaccess.org/). Op de downloadpagina vind je de link naar de nieuwste versie van NVDA. Door het gedownloade bestand uit te voeren, wordt er een tijdelijke kopie van NVDA gestart. Vervolgens word je gevraagd of je NVDA wilt installeren, een draagbare kopie wilt aanmaken of de tijdelijke kopie wilt blijven gebruiken. Kies hierbij voor installeren en volg de verdere instructies op het scherm.

### USA Addon

USA wordt geleverd als een NVDA add-on (uitbreidingspakket). Installatie vindt dan ook plaats via het item "Add-ons Beheren" onder Extra in het NVDA menu.

In het dialoogvenster "Add-ons Beheren" vind je een lijst met alle geïnstalleerde Add-ons die op het moment in je gebruikersconfiguratiemap staan. Van elke Add-on wordt de pakketnaam, status, versie en auteur weergegeven. Om een eerder verkregen USA Add-on te installeren druk je in dit venster op de knop "Installeren". Je zoekt vervolgens het installatiebestand van USA op (een bestand met de extensie "*.nvda-addon"). Zodra je op de knop "Openen" drukt, zal de installatieprocedure beginnen.

Bij aanvang van de installatie zal NVDA vragen of je Ultimate Screen Access daadwerkelijk wilt installeren. Aangezien de functionaliteit van Add-ons binnen NVDA niet beperkt wordt, wat in theorie inhoudt dat toegang verkregen wordt tot je persoonlijke gegevens alsmede het gehele systeem, is het bij de geïnstalleerde versie van NVDA belangrijk alleen Add-ons te installeren waarvan je de herkomst vertrouwt. Met andere woorden, installeer alleen een versie van Ultimate Screen Access die afkomstig is van Babbage. Als USA eenmaal is geïnstalleerd, moet NVDA herstart worden om de Add-on te activeren. Zonder herstart zal Voor USA de status "Installeren" worden weergegeven.

## Gebruik

Voor het gebruik van NVDA verwijzen we naar de NVDA handleiding. Deze is te vinden in het NVDA-menu, dat geopend kan worden door het indrukken van NVDA+N of het aanklikken van het NVDA_icoon in de systeembalk van Windows. Vervolgens kan in het menu "Help" gekozen worden voor ""Gebruikershandleiding".

### USA inschakelen

Wanneer de USA NVDA-addon geïnstalleerd is, kan USA als volgt worden ingeschakeld.

1. Open het NVDA-menu
2. Ga naar "Ultimate Screen Access"
3. selecteerd "USA inschakelen"

### USA instellingen aanpassen

Wanneer USA is ingeschakeld, kan bij "simpele instellingen USA" of in het tabblad "Visueel" van de NVDA_instellingen de volgende instellingen worden gewijzigd.

#### stap niveau

het vergrotings stap niveau is de grootte van de vergroting die USA per stap toepast. Bij 0.1 wordt het beeld 10% groter bij iedere vergrootstap.

#### Zachte randen rond afbeeldingen inschakelen om vergrotingskwaliteit te verbeteren

Deze instelling zorgt er in de meeste gevallen voor dat de kwaliteit van tekst toeneemt.
In de situatie waarin deze optie is uitgeschakeld, wordt de inhoud van het scherm letterlijk vergroot.
Wanneer deze optie is ingeschakeld, probeert de software de randen van afbeeldingen en letters dusdanig aan te passen dat er een natuurlijker resultaat gepresenteerd wordt.

#### Volg de systeemfocus

Wanneer deze optie is ingeschakeld, zal USA ervoor zorgen dat de systeemfocus altijd zo veel mogelijk in beeld is.
De systeemfocus wordt bijvoorbeeld gewijzigd wanneer je met het toetsenbord navigeert door een dialoogvenster of een keuze maakt in een lijst.

#### Focusbegrenzing

De instellingen in deze keuselijst stellen je in staat om in te stellen waar de systeemfocus op het scherm gepositioneerd wordt.

* Wanneer je kiest voor "gecentreerd" zal USA altijd proberen om de focus zo veel mogelijk in het midden van het scherm weer te geven, tenzij het item dat de focus heeft zich aan de rand van het scherm bevindt.
* Wanneer je kiest voor een percentage binnen de schermranden, zoals 25%, zal USA proberen om de systeemfocus altijd binnen 25% van de randen van het scherm weer te geven.
* Wanneer je kiest voor onbegrenst, zal USA in ieder geval proberen de focus op het scherm te plaatsen, maar zijn er geen restricties aan de positie waarop de focus zich uiteindelijk bevindt.
* Wanneer je kiest voor relatief, probeert USA de focus in de vergrote werkelijkheid weer te geven op de zelfde positie als waarop deze in de onvergrote werkelijkheid te vinden is. Wanneer een knop of invoerveld zich op een onvergroot scherm op 25% van de linker- en bovenrand zou bevinden, probeert USA het element in de vergrote werkelijkheid op de zelfde positie te plaatsen.

#### Volg voorgrondvensterveranderingen

Wanneer je wisselt tussen verschillende actieve vensters, bijvoorbeeld door middel van de toetsenbordcombinatie alt+tab, is er sprake van een voorgrondvensterverandering.
Wanneer deze optie is ingeschakeld, probeert USA ervoor te zorgen dat de relevante informatie uit het voorgrondscherm direct zichtbaar is.

#### Volg het navigatorobject

Wanneer deze optie is ingeschakeld, zal USA ervoor zorgen dat het object dat je met de NVDA objectnavigatie hebt geselecteerd, zichtbaar is op het scherm. Voor meer informatie over het navigatorobject verwijzen we naar de NVDA-handleiding.

#### Volg de systeemcursor

De systeemcursor is de doorgaans knipperende cursor die zichtbaar is in tekstvelden, bijvoorbeeld in Word of Kladblok. Wanneer deze optie is ingeschakeld, zal USA de positie van de cursor volgen en ervoor zorgen dat het deel van de tekst waar de cursor knipperd, altijd zichtbaar is.
Deze optie is ook van toepassing op de bladermodus van NVDA.

#### Systeemcursorbegrenzing

Deze instelling bepaald de begrenzing van de systeemcursor binnen de randen van het scherm. Bij deze optie zijn de keuzemogelijkheden gelijk aan de optie voor de Focusbegrenzing.

#### Volg leescursor

Wanneer deze optie is ingeschakeld, zal USA ervoor zorgen dat de tekst waar de leescursor van NVDA zich bevindt, zichtbaar is op het scherm. Voor meer informatie over de leescursor verwijzen we naar de NVDA-handleiding.
Voor de positie van de cursor van de NVDA bladermodus, wordt de instelling voor de systeemcursor gebruikt.

Voor het volgen van tekst bij continu lezen (NVDA+ pijltje beneden of NVDA+A) kan in USA ingesteld worden dat de voorgelezen woorden ook gevolgd worden. Daarnaast kan in de instellingen nog gekozen worden of er een rechthoek wordt geprojecteerd over het gesproken woord en of de caret moet worden meeverplaatst. Ook kan in het instellingenmenu de kleur en dikte worden aangepast van de rechthoek.

#### Volg muisaanwijzer

Wanneer deze optie is ingeschakeld, zal USA de positie van de muis volgen en ervoor zorgen dat de muis altijd zichtbaar is.
Het uitschakelen van deze optie heeft tot gevolg dat de muisaanwijzer uit beeld verdwijnt wanneer deze buiten de rand van de vergrote werkelijkheid op het scherm valt.

#### Muisbegrenzing

Deze instelling bepaald de begrenzing van de muisaanwijzer binnen de randen van het scherm. Bij deze optie zijn de keuzemogelijkheden gelijk aan de optie voor de Focusbegrenzing.

#### Kleurenschema

Je kunt bij deze optie verschillende voorgedefinieerde kleurenschema's instellen.
De optie "Aangepast kleurenschema beheren..." is van invloed op het kleurenschema "aangepast". Hier kan je een eigen kleurenschema maken. In de instellingen kan ook een subselectie van alle beschikbare kleurenschema's worden gemaakt, hiermee schakel je alleen maar door kleurenschema's die je echt gebruikt.

Ook is het mogelijk om voor een bepaalde applicatie een kleurenschema te selecteren. Met NVDA+Control+P wordt het huidige kleurenschema gekoppeld aan de huidige applicatie. Iedere keer als deze applicatie dan in de voorgrond komt zal er gewisseld worden daar dit kleurenschema.

#### Object Reader Modus

Object Reader Modus is een modus waarbij NVDA en USA simpeler kunnen worden gebruikt. Met deze modus staat de stem standaard uit en wordt alleen gebruikt voor voorlezen.
Met USA kan ook worden voorgelezen vanaf het object zich onder de muis bevind. Met NVDA+linkermuisklik kan dit worden geactiveerd. USA springt dan ook automatisch mee en er word een rechthoek om het gesproken woord getekend als dat ingesteld is.

### USA licentie

Voor gebruik van USA dien je te beschikken over een geldige licentiecode. Per licentiecode is het mogelijk om USA tot drie keer te activeren.

Wanneer je beschikt over een geldige licentiecode, kun je deze invoeren door binnen het tabblad "Vision" van de NVDA-instellingen te kiezen voor de optie "USA licentie beheren..."
In dit venster volstaat het om de licentiecode in te voeren en te kiezen voor OK, waarna de licentie geactiveerd wordt. Via de zelfde werkwijze is de licentie ook weer te deactiveren, bijvoorbeeld wanneer het wenselijk is om USA van de computer te verwijderen.

#### Offline Activatie

USA biedt ook een offline activatie aan. Hiermee kan de gebruiker dmv het instantie ID en de licentie code een activatie code aanvragen via <support@babbage.com>. Hiermee kan USA dan gebruikt worden zonder dat deze online gecontroleerd hoeft te worden.

#### (BETA) automatische activatie

USA biedt een automatische activatie aan voor "non-presistent" omgevingen. Hiermee kan USA zichzelf activeren en eventueel de-activeren.

## Sneltoetsen

Binnen USA zijn specifieke sneltoetsen toegewezen om de vergrotingsfunctionaliteit aan te passen en voor de kleurenschema's.

De onderstaande instellingen zijn aan te passen via het NVDA-menu. Kies daarin voor "Opties" en vervolgens voor "Invoerhandelingen". De sneltoetsen van USA zijn vervolgens te vinden onder de categorie "Ultimate Screen Access".
Voor meer informatie over de werking van het dialoogvenster "Invoerhandelingen" verwijzen we naar de NVDA-handleiding.

Sneltoets | Functie
--------------------|--------------------------------------------------------------------------------
control+0 | Schakelt de vergroter in of uit
NVDA+alt+0 | Schakelt de vergroter in of uit
NVDA+alt+=  | Verhoog de vergrotingsfactor
NVDA+alt+-  | Verlaag de vergrotingsfactor
control+= | Verhoog de vergrotingsfactor
control+- | Verlaag de vergrotingsfactor
control+pageUp | Verhoog de vergrotingsfactor
control+pageDown | Verlaag de vergrotingsfactor
alt+= | Verhoog de beweegsnelheid
alt+- | Verlaag de beweegsnelheid
NVDA+alt+pijl links | Scroll vergrotingsgebied naar links
NVDA+alt+pijl rechts | Scroll vergrotingsgebied naar rechts
NVDA+alt+pijl omhoog | Scroll vergrotingsgebied omhoog
NVDA+alt+pijl omlaag | Scroll vergrotingsgebied omlaag
NVDA+alt+backspace | Schakelt tussen de verschillende kleurenschema's
control+backspace |  Schakelt tussen de verschillende kleurenschema's
NVDA+alt+s | Schakelt zachte randen rondom afbeeldingen en tekst in of uit
NVDA+alt+r | Start met alles voorlezen vanaf het object onder de muis
NVDA+alt+w | Schakelt woordvolger aan of uit.
NVDA+linkermuisklik | start met voorlezen vanaf het object onder de muis
niet verbonden | schakelt spraak uit en de browsemodus als dat van toepassing is. Als de spraak en browsemodus zijn uitgeschakeld wordt de escape toets doorgegeven. Dit is alleen als de Object Reader modus actief is!
niet verbonden | Schakelt de visuele rechthoek van de woordvolger aan of uit
NVDA+control+p | Stel huidig kleurenschema in als standaard voor voorgrondapplicatie
NVDA+control+r | Alles voorlezen vanaf de muis
NVDA+pijl omlaag | Alles voorlezen commando vanaf de caret in USA
NVDA+i | Rapporteert huidige vergrotings

## Beperkingen en bekende problemen

Ultimate Screen Access is een product dat continu in ontwikkeling is. Daardoor kan het voorkomen dat sommige gewenste functionaliteit (nog) niet in het product aanwezig is. Bij het gebruik van USA dien je rekening te houden met de volgende bekende beperkingen:

* Binnen Internet Explorer is het volgen van de NVDA bladermodus beperkt mogelijk. Met name in lange paragrafen zal merkbaar zijn dat de vergroting niet volledig meeloopt met de positie van de cursor in de bladermodus
* De ondersteuning voor het gebruik van meerdere schermen is zeer beperkt. Bij gebruik van meerdere schermen adviseren we om het meest linkse scherm in te stellen als hoofdscherm. Daarnaast is het nodig om sommige begrensingsopties in de instellingen van USA aan te passen ten opzichte van de standaardwaarden
* Waar er bij NVDA de mogelijkheid bestaat om gebruik te maken van een draagbare versie, dien je bij het gebruik van USA rekening te houden met de beperking dat het klikken met de muis mogelijk niet accuraat werkt. Wanneer draagbaar gebruik van USA strict noodzakelijk is, is het advies om de muisbegrenzing in te stellen op relatief
* Er zijn problemen bekend waarbij het gebruiken van zachte randen rond afbeeldingen leidt tot een vertraging van het systeem, met name als er sprake is van het gebruik van een videokaart van het merk NVIDIA
