

## introdução 

O Ultimate Screen Access (USA) liga o leitor de ecrã de código aberto do NVDA às poderosas capacidades de ampliação presentes no Windows 10, criando um pacote muito poderoso que pode fornecer uma boa solução em várias situações. 

## Requisitos de sistema

Para utilizar o USA com êxito aplicam-se os seguintes requisitos de sistema:

* Windows 10 versão 1709 (Fall Creators Update) ou mais recente) (32 bits e 64 bits)
* Processador: processador dual core 2 GHz i5 ou similar
* Placa gráfica Intel (NVIDIA não é recomendada) 
* 4 GB Ram. 8 GB recomendados
* 200MB de espaço livre no disco rígido, excluindo o sintetizador de voz
* Cópia instalada do NVDA 2022.1 ou mais recente

## Instalação

### NVDA
Observação: Para utilizar o Ultimate Screen Access com êxito é necessário utilizar uma versão instalada do NVDA.
Numa versão portátil do NVDA (por exemplo, a partir de uma caneta USB), o rato não funcionará corretamente quando o ecrã estiver ampliado.

Se ainda não tiver o NVDA, poderá transferi-lo de [nvaccess.org](http://www.nvaccess.org/). Na página de transferências, encontrará o link para a versão mais recente do NVDA. A execução do ficheiro transferido iniciará uma cópia temporária do NVDA. Ser-lhe-á então perguntado se pretende instalar o NVDA, criar uma cópia portátil ou continuar a utilizar a cópia temporária. Escolha a instalação e siga as demais instruções no ecrã.

### Ultimate Screen Access

O USA é fornecido como um suplemento do NVDA (pacote de extensão), sendo a sua instalação, portanto, feita através do item "Gerir Suplementos" em Extra no menu do NVDA. 

Na caixa de diálogo "Gerir Suplementos", encontrará uma lista de todos os suplementos instalados que se encontrem atualmente na sua pasta de configuração do utilizador. São exibidos o nome do pacote, o estado, a versão e o autor de cada suplemento. Para instalar um suplemento do USA previamente obtido, prima o botão "Instalar" nesta janela. Em seguida, localize o ficheiro de instalação do USA (um ficheiro com a extensão "*.nvda-addon"). Uma vez premido o botão "Abrir", iniciar-se-á o procedimento de instalação. 

No início da instalação, o NVDA perguntar-lhe-á se pretende realmente instalar o Ultimate Screen Access. Uma vez que a funcionalidade dos suplementos não é restrita dentro do NVDA, o que significa, teoricamente, o acesso aos seus dados pessoais, bem como a todo o sistema, é importante, na versão instalada do NVDA, instalar apenas os suplementos em cuja origem confie. Por outras palavras, instale apenas uma versão do Ultimate Screen Access proveniente de Babbage. Uma vez instalado o USA, o NVDA deve ser reiniciado para ativar o suplemento. Sem reinício, será mostrado o estado "Instalar" para o USA. 

## Utilização
Para a utilização do NVDA remetemos para o manual do NVDA. Este pode ser encontrado no menu do NVDA, que pode ser aberto premindo NVDA+N ou clicando no ícone do NVDA na barra de tarefas do Windows. Em seguida, no menu "Ajuda", pode-se selecionar "Manual do utilizador".

### Ativar o USA
Uma vez instalado o suplemento USA do NVDA, o USA pode ser ativado da seguinte forma.

1. Abra o menu do NVDA
2. Navegue para "Ultimate Screen Access"
3. Selecione "Ativar USA"

### Ajustar as configurações do USA
Uma vez ativado o USA, em "configurações simples USA" ou no separador "Visual" das configurações do NVDA, podem ser alteradas as seguintes configurações.

#### nível da etapa
o nível da etapa de ampliação é o tamanho da ampliação aplicado pelo USA por etapa. A 0.1, a imagem é ampliada 10% em cada etapa de ampliação.

#### Ativar suavização de mapa de bits para melhorar a qualidade de ampliação
Na maioria dos casos, esta configuração permite aumentar a qualidade do texto.
Na situação em que esta opção está inativa, o conteúdo do ecrã é literalmente ampliado.
Quando esta opção está ativa, o software tenta ajustar as margens das imagens e letras de modo que seja apresentado um resultado mais natural.

#### Seguir foco
Quando esta opção está ativa, o USA assegurará que o foco do sistema está sempre em destaque, tanto quanto possível.
Por exemplo, o foco do sistema é alterado quando se usa o teclado para navegar numa caixa de diálogo ou se faz uma seleção numa lista.

#### Limite do foco
As configurações nesta lista de seleção permitem-lhe configurar o posicionamento do foco do sistema no ecrã.

* Ao selecionar "centrado", o USA tentará sempre mostrar o foco no centro do ecrã, tanto quanto possível, a menos que o item focado se encontre no limite do ecrã.
* Ao selecionar uma percentagem dentro dos limites do ecrã, como 25%, o USA tentará mostrar sempre o foco do sistema dentro de 25% dos limites do ecrã.
* Ao selecionar "ilimitado", o USA tentará, pelo menos, colocar o foco no ecrã, mas não há restrições quanto à posição final do foco.
* Ao selecionar "relativo", o USA tentará mostrar o foco na realidade ampliada na mesma posição em que se encontra na realidade não ampliada. Se um botão ou campo de entrada estivesse a 25% dos limites esquerdo e superior num ecrã não ampliado, o USA tenta colocar o elemento na mesma posição na realidade ampliada.

#### Seguir alterações da janela de primeiro plano
Quando se alterna entre diferentes janelas ativas, por exemplo usando a combinação de teclado alt+tab, há uma alteração da janela de primeiro plano. 
Quando esta opção está ativa, o USA tenta assegurar que a informação relevante do ecrã de primeiro plano está logo visível.

#### Seguir objeto do navegador
Quando esta opção está ativa, o USA assegurará que o objeto que selecionou com a navegação por objeto do NVDA está visível no ecrã. Para mais informações sobre o objeto do navegador remetemos para o manual do NVDA.

#### Seguir cursor do sistema
O cursor do sistema é o cursor normalmente intermitente visível nos campos de texto, por exemplo no Word ou no Bloco de Notas. Quando esta opção está ativa, o USA seguirá a posição do cursor e assegurará que a parte do texto onde o cursor pisca está sempre visível.
Esta opção também se aplica ao modo de navegação do NVDA.

#### Limite do cursor
Esta configuração determina o limite do cursor do sistema dentro dos limites do ecrã. Nesta opção, as escolhas correspondem à opção para o Limite do Foco.

#### Seguir cursor de leitura
Quando esta opção está ativa, o USA assegurará que o texto onde se encontra o cursor de leitura do NVDA está visível no ecrã. Para mais informações sobre o cursor de leitura remetemos para o manual do NVDA.
Para a posição do cursor do modo de navegação do NVDA, é utilizada a configuração do cursor do sistema.

Para o seguimento de texto no modo de leitura contínua (NVDA+ seta para baixo ou NVDA+A), o USA permite definir que também são seguidas as palavras lidas em voz alta. Além disso, as configurações permitem ainda escolher se é projetado um retângulo sobre a palavra falada e se o cursor deve saltar em simultâneo. O menu das configurações também permite ajustar a cor e a espessura do retângulo.

#### Seguir ponteiro do rato
Quando esta opção está ativa, o USA seguirá a posição do rato e assegurará que o rato está sempre visível.
A desativação desta opção faz com que o ponteiro do rato desapareça da vista quando cair fora do limite da realidade ampliada no ecrã.

#### Limite do ponteiro do rato
Esta configuração determina o limite do ponteiro do rato dentro dos limites do ecrã. Nesta opção, as escolhas correspondem à opção para o Limite do Foco.

#### Esquema de cores
Esta opção permite configurar vários esquemas de cores predefinidos.
A opção "Gerir esquema de cores personalizado..." afeta o esquema de cores "personalizado". Aqui pode criar o seu próprio esquema de cores. Nas configurações pode-se também fazer uma sub-seleção de todos os esquemas de cores disponíveis, alternando-se apenas entre os esquemas de cores efetivamente utilizados.

É também possível selecionar um esquema de cores para uma aplicação específica. NVDA+Control+P associa o esquema de cores atual à aplicação atual. Sempre que esta aplicação entrar em primeiro plano, alternar-se-á para este esquema de cores.

#### Modo de Leitor de Objetos
O Modo de Leitor de Objetos é um modo em que o NVDA e o USA podem ser utilizados de uma forma mais simples. Neste modo, a voz está desligada por defeito e só é utilizada para leitura em voz alta. 
O USA também permite a leitura em voz alta a partir do objeto que se encontra debaixo do rato. Isto pode ser ativado com NVDA+clique esquerdo do rato. Neste caso, o USA salta automaticamente e um retângulo é desenhado à volta da palavra falada, se isto estiver configurado.

### Licença do USA
A utilização do USA requer uma chave de licença válida. Pode ativar o USA até três vezes por chave de licença.

Se tiver uma chave de licença válida, pode inseri-la selecionando a opção "Gerir licença do USA..." no separador "Visão" das configurações do NVDA.
Nesta janela, basta inserir a chave de licença e selecionar OK para ativar a licença. Utilizando o mesmo procedimento, a licença também pode ser desativada, por exemplo, se for desejável desinstalar o USA do computador.

#### Ativação Offline
O USA também oferece uma ativação offline. Isto permite ao utilizador solicitar uma chave de ativação via support@babbage.com, utilizando o ID da instância e a chave de licença, o que permite utilizar o USA sem necessidade de verificação online.

#### Ativação automática (BETA)
O USA oferece uma ativação automática para ambientes "não-persistentes". Isto permite a auto-ativação e, se necessária, a auto-desativação do USA.

## Teclas de atalho
No USA, foram atribuídas teclas de atalho específicas para ajustar a funcionalidade de ampliação e para os esquemas de cor.

As seguintes configurações podem ser ajustadas através do menu do NVDA, selecionando "Opções" e depois "Operações de entrada". As teclas de atalho do USA podem então ser encontradas na categoria "Ultimate Screen Access".
Para mais informações sobre o funcionamento da caixa de diálogo "Operações de entrada" remetemos para o manual do NVDA.

Tecla de atalho | Função
--------------------|--------------------------------------------------------------------------------
NVDA+alt+0 | Alterna entre os estados da lupa
NVDA+alt+= (ou control+pageUp) | Aumentar o nível de ampliação
NVDA+alt+- (ou control+pageDown) | Diminuir o nível de ampliação
NVDA+alt+ seta para a esquerda | Deslocar área de ampliação para a esquerda
NVDA+alt+ seta para a direita | Deslocar área de ampliação para a direita
NVDA+alt+seta para cima | Deslocar área de ampliação para cima
NVDA+alt+seta para baixo | Deslocar área de ampliação para baixo
NVDA+alt+backspace | Alterna entre os diferentes esquemas de cores
NVDA+alt+s | Alterna entre os estados de suavização de mapa de bits
NVDA+clique esquerdo do rato | Começa a leitura em voz alta a partir do objeto debaixo do rato
control+1 | Desativa a voz e o modo de navegação, se aplicável
não ligado | Ativa ou desativa a ferramenta de seguimento de palavras 
não ligado | Ativa ou desativa o retângulo visual da ferramenta de seguimento de palavras
NVDA+control+p | Predefinir o esquema de cor atual para a aplicação de primeiro plano
NVDA+Control+r | Ler tudo em voz alta a partir do rato

## Restrições e problemas conhecidos
O Ultimate Screen Access é um produto em contínuo desenvolvimento. Por conseguinte, algumas funcionalidades desejadas podem (ainda) não estar disponíveis no produto. Ao utilizar o USA, deve ter em conta as seguintes restrições conhecidas:

* Dentro do Internet Explorer, seguir o modo de navegação do NVDA é possível de uma forma limitada. Especialmente em parágrafos longos, notar-se-á que a ampliação não segue totalmente a posição do cursor no modo de navegação
* O apoio à utilização de múltiplos ecrãs é muito limitado. Ao utilizar múltiplos ecrãs, aconselhamos que se configure o ecrã mais à esquerda como o ecrã principal. Além disso, é necessário ajustar algumas opções de limite nas configurações do USA em relação aos valores por defeito
* Enquanto no NVDA existe a possibilidade de utilizar uma versão portátil, ao utilizar o USA deve ter em conta a restrição de que clicar com o rato poderá não funcionar com precisão. Quando a utilização portátil do USA é estritamente necessária, aconselhamos a configurar o limite do rato em relativo
* Há conhecimento de problemas em que a utilização da suavização do mapa de bits leva à desaceleração do sistema, especialmente quando se utiliza uma placa de vídeo da marca NVIDIA
