



from ctypes import *
from ctypes.wintypes import *
import os
import wx
import addonHandler
import gui
import watchdog
from logHandler import log
import config
import datetime
addonHandler.initTranslation()

import vision
from . import libUSA


class isUSARunning(wx.Dialog):

    def shouldAsk(self):
        if not libUSA.libUSA.IsLicensed():
            return False
        allProviders = vision.handler.getProviderList()
        for provider in allProviders:
            if provider.providerId == 'usa':
               if (not provider in vision.handler.getActiveProviderInfos() ) and provider.providerClass.getSettings().autoStartUSAWhenOff:
                   log.info("Autostart USA")
                   self.startUSA()
                   return False
               return (provider not in vision.handler.getActiveProviderInfos())
        # do not ask if usa is not in the providerlist
        return False

    def __init__(self, parent):
        windowStyle = wx.DEFAULT_DIALOG_STYLE | wx.STAY_ON_TOP | wx.CENTER
        super().__init__(parent, id=wx.ID_ANY, title=_("Start USA"), style = windowStyle)
        
        self.main_sizer = wx.BoxSizer(wx.VERTICAL)
        self.main_sizer_helper = gui.guiHelper.BoxSizerHelper(self, orientation=wx.VERTICAL)
        message = "USA is not running at the moment. Would you like to start USA?"
        self.main_sizer.Add(wx.StaticText(self, label=message),  wx.SizerFlags(0).Align(wx.LEFT).Border(wx.ALL, 5))

        self.Bind(wx.EVT_BUTTON, self.on_ok, id=wx.ID_OK)
        self.main_sizer.Add(self.main_sizer_helper.sizer, border = gui.guiHelper.BORDER_FOR_DIALOGS, flag=wx.ALL)
        self.main_sizer_helper.addDialogDismissButtons(self.CreateButtonSizer( wx.OK| wx.CANCEL))
        self.main_sizer.Fit(self)
        self.SetSizer(self.main_sizer)
        self.Center(wx.BOTH )

    def on_ok(self, evt):
        wx.CallAfter(self.startUSA)
        evt.Skip()
    
    def startUSA(self):
        success = False
        try:
            import vision
            allProviders = vision.handler._allProviders
            for provider in allProviders:
                if provider.providerId == 'usa':
                    vision.handler.initializeProvider(provider)
                    success = True

            
        except Exception as e:
            success = False
            message = _(f"There was an error while starting USA. {e}")
            log.error(message, exc_info=True)
                          
        # if not success:
        #     wx.CallLater(500, gui.messageBox,
        #         _(f"Starting USA has failed."),
        #             _("Error"), wx.OK | wx.ICON_ERROR)
        # else:
        #     wx.CallLater(500, gui.messageBox,
        #         _("USA is successfully started."),
        #             _("success"), wx.OK | wx.ICON_EXCLAMATION)


        self.Close()


