

from ctypes import *
from ctypes.wintypes import *
import os
import wx # type: ignore
import addonHandler
import gui
import watchdog
from logHandler import log
from . import access4uReturnCodes


try:
	licDLL = cdll.licensingDLL
except:
	currentPath = os.path.abspath(os.path.dirname(__file__))
	licDLLPath = os.path.join(currentPath, "licensingDLL.dll")
	log.info(licDLLPath)
	licDLL = cdll.LoadLibrary(licDLLPath)	

# charbuffer, bufferLength
getInstanceIDFuncType = CFUNCTYPE(c_int, c_wchar_p, POINTER(c_int), c_int, c_int, c_wchar_p )
_getInstanceID=getInstanceIDFuncType(('getInstanceID', licDLL),((1,'charBuffer'),(1 ,'bufferLength'), (1, 'variablesLength'), (1, 'PRODUCT_ID'), (1, 'hardwareID' )))

# # saveDataToRegistry(wchar_t* charBuffer, int* bufferLength, const wchar_t* REG_PATH, const wchar_t* licenseKey, const wchar_t* acID)
saveDataToRegistryFuncType = CFUNCTYPE(c_int, c_wchar_p, POINTER(c_int), c_wchar_p, c_wchar_p, c_wchar_p )
_saveDataToRegistry=saveDataToRegistryFuncType(('saveDataToRegistry', licDLL),((1,'charBuffer'),(1 ,'bufferLength'), (1, 'REG_PATH'), (1, 'licenseKey'), (1, 'acID' )))

requestDemoFuncType = CFUNCTYPE(c_int, c_wchar_p, c_int, c_wchar_p )
_requestDemo=requestDemoFuncType(('requestDemo', licDLL),((1, 'REG_PATH'), (1, 'PRODUCT_ID'), (1, 'PRODUCT_NAME' )))
# licDLL.saveDataToRegistry.argtypes = [c_wchar_p, POINTER(c_int), c_wchar_p, c_wchar_p, c_wchar_p]
# licDLL.saveDataToRegistry.restype = c_int

def getInstanceID(productID):
	charBuffer = c_wchar_p(2000 * " ")
	bufferLength = c_int(0)
	variablesLength = 50
	instanceID = c_wchar_p(300 * " ")
	res = _getInstanceID(charBuffer ,byref(bufferLength), variablesLength, productID, instanceID)
	return instanceID.value

def saveDataToRegistry(lic, acID, REG_PATH):
	tmp = c_wchar_p(20000 * " ")

	REG_PATH = c_wchar_p(REG_PATH)
	acID = c_wchar_p (acID)
	lic = c_wchar_p (lic)

	bufferLength = c_int(2000)
	# p_acID = c_void_p.from_buffer(acID)
	# p_regPath = c_void_p.from_buffer(REG_PATH)
	# p_lic = c_void_p.from_buffer(lic)

	res = _saveDataToRegistry(tmp, byref(bufferLength), REG_PATH, lic, acID)
	log.info("saved to registry")
	return

def requestDemo(REG_PATH, PRODUCT_ID, PRODUCT_NAME) -> int:
	PRODUCT_ID = c_int(PRODUCT_ID)
	REG_PATH = c_wchar_p(REG_PATH)
	PRODUCT_NAME = c_wchar_p(PRODUCT_NAME)

	res = _requestDemo(REG_PATH, PRODUCT_ID, PRODUCT_NAME)
	return res