"""
Extra lib for wordfollower
"""
import NVDAObjects.UIA.wordDocument
import textInfos
import ctypes
from comtypes import COMError # type: ignore
import locationHelper
from logHandler import log

from NVDAObjects.window import winword
import textInfos.offsets


sayAllWordDataBase ={}
jj = 0

def getBoundingRects(updater):
    rect = None
    try:
        if isinstance(updater, NVDAObjects.UIA.wordDocument.WordDocumentTextInfo):
            #updater._ensureRangeVisibility()
            # copied from _esnureRangeVisiblity(), added forced scroll when topLeft is visible but rightBottom isnt
            try:
                inView = updater.pointAtStart in updater.obj.location and updater.boundingRects[0].bottomRight in updater.obj.location
            except LookupError:
                inView = False
            if not inView:
                    updater._rangeObj.ScrollIntoView(True)

        elif isinstance(updater, textInfos.TextInfo ):
            updater.NVDAObjectAtStart.scrollIntoView()

        # try getting the rect the proper way
        rect = updater._get_boundingRects()
    except Exception as e:
        # maybe we are in word
        if isinstance(updater, winword.WordDocumentTextInfo):
            rect = Word_get_boundingRects(updater)
            return rect
        else:
            log.error(f"SPEECH: {updater} could not use _get_boundingRects()")

    # if we got a rect convert it to RectLTWH
    if rect:
        rect = rect[0]
        rect = locationHelper.RectLTWH(left=rect.left, top=rect.top, width=rect.width, height=rect.height)
    else:
        # otherwise try gettin the rect an alternative way. This works for most objects just outside the monitor view
        try:
            left = updater._getBoundingRectFromOffset(updater._startOffset).left
            top = updater._getBoundingRectFromOffset(updater._startOffset).top
            right = updater._getBoundingRectFromOffset(updater._endOffset).right
            bottom = updater._getBoundingRectFromOffset(updater._endOffset).bottom
            rect = locationHelper.RectLTWH(left=left, top=top, width=right-left, height=bottom-top)
        except:
            rect = None
            return rect

    #rect = scrollIntoView(rect, updater)
    return rect


def Word_get_boundingRects(wordTextInfo):
    left = ctypes.c_int()
    top = ctypes.c_int()
    width = ctypes.c_int()
    height = ctypes.c_int()
    try:

        wordTextInfo.obj.WinwordWindowObject.GetPoint(ctypes.byref(left), ctypes.byref(top), ctypes.byref(width),
                                                      ctypes.byref(height), wordTextInfo._rangeObj)
    except COMError:
        raise LookupError
    if not any((left.value, top.value, width.value, height.value)):
        raise LookupError
    return locationHelper.RectLTWH(left=left.value, top=top.value, height=height.value, width=width.value)


